Banshee became the deafult music player in Ubuntu 11.04 Natty. It worked fine. But in my new installed Ubuntu 11.10 beta, banshee won’t play mp3s. When I click to play a music file, it always says:”search for suitable plugins”, “install plugin packages”, and finally “Package dependencies cannot be resolved”.

Thanks to vgrisham from, there gives a solution by running following commands to install the dependenices.

sudo apt-get build-dep banshee
sudo apt-get install gstreamer0.10-plugins-bad gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly

Now, restart banshee and it should work.